%global srcname social-auth-storage-sqlalchemy
%global desc Python Social Auth is an easy to setup social \
authentication/registration mechanism with support for several frameworks and \
auth providers. This is the SQLAlchemy component of the python-social-auth \
ecosystem, it implements the needed functionality to integrate social-auth-core\
 into a project using SQLAlchemy as the storage solution.

Name:           python-%{srcname}
Version:        1.1.0
Release:        5%{?dist}
Summary:        The SQLAlchemy storage component of python-social-auth

License:        BSD
URL:            https://pypi.org/project/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel


%description
%{desc}


%package -n python3-%{srcname}
Summary: %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
Requires: %{py3_dist six}
Requires: %{py3_dist sqlalchemy}
Requires: %{py3_dist social-auth-core} >= 1.0.0


%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


# No tests are provided by upstream as of 1.1.0


%files -n python3-%{srcname}
%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/social_sqlalchemy
%{python3_sitelib}/social_auth_storage_sqlalchemy-%{version}*.egg-info


%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1.0-2
- Rebuilt for Python 3.7

* Wed Mar 28 2018 Jeremy Cline <jeremy@jcline.org> - 1.1.0-1
- Initial package.
